summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-09-08 14:28:38 +0000
committer Eric Hameleers <alien@slackware.com>2008-09-08 14:28:38 +0000
commit8e8cf6128f435775ec901db21672734308f5951e (patch)
tree0e72355f52d614971d3185e8577abb09a0315670
parent8068c4531f3bd191326fbfbe08f8e91b95da9c7d (diff)
downloadasb-8e8cf6128f435775ec901db21672734308f5951e.tar.gz
asb-8e8cf6128f435775ec901db21672734308f5951e.tar.xz
Update documentation files
-rwxr-xr-xmadwifi/build/madwifi.SlackBuild14
1 files changed, 3 insertions, 11 deletions
diff --git a/madwifi/build/madwifi.SlackBuild b/madwifi/build/madwifi.SlackBuild
index d8bf1753..9c73037e 100755
--- a/madwifi/build/madwifi.SlackBuild
+++ b/madwifi/build/madwifi.SlackBuild
@@ -189,13 +189,6 @@ cd $TMP/tmp-$PRGNAM
echo "Extracting the source tarball..."
tar -xzvf "$SOURCE"
-## I expect a pristine kernel source (freshly installed slackware package)
-## Madwifi expects the sources at the location that the link
-## "/lib/modules/<kernelversion>/build" points to.... so be it.
-#cd ${KSRC}
-#make clean oldconfig prepare
-#cd -
-
if [ -z $SNAPSHOT ]; then
cd ${PRGNAM}-${SRCVER}
else
@@ -219,7 +212,7 @@ CXXFLAGS="$SLKCFLAGS" \
make clean all KERNELPATH=${KSRC} KERNELRELEASE=${KVER} \
2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-# Install the kernel module and tools
+# Install the kernel module and tools:
mkdir -p $PKG/usr/{bin,man}
# Use installwatch if available:
@@ -241,11 +234,10 @@ done
# Documentation
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYRIGHT INSTALL README SNAPSHOT THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp -a COPYRIGHT INSTALL README* SNAPSHOT THANKS $PKG/usr/doc/$PRGNAM-$VERSION || true
cp -a hal/COPYRIGHT $PKG/usr/doc/$PRGNAM-$VERSION/COPYRIGHT.hal || true
cp -a hal/README $PKG/usr/doc/$PRGNAM-$VERSION/README.hal || true
-cp -a patches/README $PKG/usr/doc/$PRGNAM-$VERSION/README.patches || true
-cp -a docs/WEP-HOWTO.txt docs/users-guide.pdf $PKG/usr/doc/$PRGNAM-$VERSION/ || true
+cp -a patch-kernel/README $PKG/usr/doc/$PRGNAM-$VERSION/README.patch-kernel || true
cp -a scripts $PKG/usr/doc/$PRGNAM-$VERSION/ || true
cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc -type f -exec chmod 644 {} \;